Skip to main content
PATCH
/
checkout_links
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.checkoutLinks.update({
    id: "<id>",
    checkoutLinkRequest: {},
  });

  console.log(result);
}

run();
curl --request PATCH \
--url https://api.crevio.co/v1/checkout_links/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"discount": "<string>",
"allow_discount_codes": true,
"success_url": "<string>",
"metadata": {},
"price_variants": [
"<string>"
]
}
'
import requests

url = "https://api.crevio.co/v1/checkout_links/{id}"

payload = {
"name": "<string>",
"discount": "<string>",
"allow_discount_codes": True,
"success_url": "<string>",
"metadata": {},
"price_variants": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
discount: '<string>',
allow_discount_codes: true,
success_url: '<string>',
metadata: {},
price_variants: ['<string>']
})
};

fetch('https://api.crevio.co/v1/checkout_links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "name": "<string>",
  "success_url": "<string>",
  "allow_discount_codes": true,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "discount": "<string>",
  "price_variants": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "amount": 123,
      "interval_count": 123,
      "installment_count": 123,
      "setup_fee_amount": 123,
      "trial_period_days": 123,
      "revoke_after_days": 123,
      "quantity_available": 123,
      "archived": true,
      "position": 123,
      "hidden": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "discounted_from_amount": 123,
      "minimum_amount": 123,
      "maximum_amount": 123,
      "preset_amount": 123,
      "waitlist": true,
      "purchase_url": "<string>",
      "product": "<string>",
      "benefits": [
        "<string>"
      ]
    }
  ]
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
name
string | null
discount
string | null

Discount ID

allow_discount_codes
boolean
success_url
string | null
metadata
object | null
price_variants
string[]

Response

Checkout link updated

id
string
required
object
string
required
name
string | null
required
success_url
string | null
required
allow_discount_codes
boolean
required
metadata
object | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
url
string
required
discount

ID by default, full object when expanded

price_variants
object[]